package com.ruoyi.system.service.house;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.ruoyi.system.domain.house.HouseResource;
import com.ruoyi.system.domain.house.vo.HouseResourcePage;
import com.ruoyi.system.domain.house.vo.HouseResourcePageQuery;
import com.ruoyi.system.domain.house.vo.HouseResourceSaveDto;

import java.util.List;

public interface HouseResourceService {

    void saveHouseResource(HouseResourceSaveDto dto);

    HouseResource queryHouseResourceById(String id);

    void updateHouseResource(HouseResource houseResource);

    void deleteHouseResourceById(String id);

    void batchSaveHouseResources(List<HouseResource> houseResources);

    IPage<HouseResourcePage> pageHouseResources(HouseResourcePageQuery query);
}
